JackTrip

Classes
RingBuffer.h File Reference
`#include <QWaitCondition>`
`#include <QMutex>`
`#include <QMutexLocker>`
`#include "jacktrip_types.h"`
Include dependency graph for RingBuffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | RingBuffer
| Provides a ring-buffer (or circular-buffer) that can be written to and read from asynchronously (blocking) or synchronously (non-blocking). More...

## Detailed Description

Author
  Juan-Pablo Caceres

Date
  July 2008